<div class="fixed bottom-4 left-4 z-50">
  <div
    *ngFor="let notification of notifications"
    [@fadeOut]
    class="mb-2 px-4 py-2 rounded-lg max-w-sm min-w-72 border-2"
    style="box-shadow: 5px 5px 5px 0px #0000006e"
    [ngClass]="{
      'bg-green-100 border-green-500 text-green-700':
        notification.type === 'success',
      'bg-red-100 border-red-500 text-red-700': notification.type === 'error',
      'bg-blue-100 border-blue-500 text-blue-700': notification.type === 'info'
    }"
  >
    <div class="font-bold mb-1">{{ notification.title }}</div>
    <p>{{ notification.message }}</p>
  </div>
</div>
